---
- entityDefinitions:
  - IDC_EvaluateBooleanExpressionMethod: "{e1529108-2f84-4a4c-89b3-a647bc3e41d7}" # 1$24
  
  - IDR_Evaluate_Boolean_Expression_Method__returns__Boolean_Attribute: "{53cf2cb6-f5f2-499f-9f18-26b86bf671c4}"
  - IDR_Boolean_Attribute__returned_by__Evaluate_Boolean_Expression_Method: "{24397b98-65da-4f5a-93a3-e933bab1f59b}"

  - IDR_Evaluate_Boolean_Expression_Method__has_source__Executable_returning_Work_Data: '{45d76d56-01ed-4641-9f68-cfe0c7d0d265}'
  - IDR_Executable_returning_Work_Data__source_for__Evaluate_Boolean_Expression_Method: '{eef048af-179e-4375-8a85-2856bb14aea3}'
  - IDR_Evaluate_Boolean_Expression_Method__has_target__Executable_returning_Work_Data: '{0646df91-7e3e-4d59-be71-b978a22ced8e}'
  - IDR_Executable_returning_Work_Data__target_for__Evaluate_Boolean_Expression_Method: '{be7a6285-d700-40f3-868e-c0878a3e94a6}'
  - IDR_Evaluate_Boolean_Expression_Method__uses__Boolean_Operator: '{aa9e17a2-e4d9-4598-bcfc-2d729031d11c}'
  - IDR_Boolean_Operator__used_by__Evaluate_Boolean_Expression_Method: '{1e9915a9-3c91-4532-ab9c-82419660e31a}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_EvaluateBooleanExpressionMethod;'
    inherits:  '&IDC_Method;'
    name:      EBE - Evaluate Boolean Expression Method
    index:     24
    customTagName: evaluateBooleanExpressionMethod
    instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name_EBE;'
    superclasses:
    - instance: '&IDC_Method;'
    - instance: '&IDC_ExecutableReturningAttribute;'
    defaultTask: '&IDI_Task_ViewEvaluateBooleanExpressionMethod;'
    relatedTasks:
    - instance: '&IDI_Task_ViewEvaluateBooleanExpressionMethod;'
    - instance: '&IDI_Task_EditEvaluateBooleanExpressionMethod;'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    relationships:
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Evaluate_Boolean_Expression_Method__returns__Boolean_Attribute;'
      customTagName: 'returnsAttributeId'
    - instance: '&IDR_Evaluate_Boolean_Expression_Method__has_source__Executable_returning_Work_Data;'
      customTagName: 'source'
    - instance: '&IDR_Evaluate_Boolean_Expression_Method__uses__Boolean_Operator;'
      customTagName: 'operator'
    - instance: '&IDR_Evaluate_Boolean_Expression_Method__has_target__Executable_returning_Work_Data;'
      customTagName: 'target'
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'

  - relationship: '&IDR_Evaluate_Boolean_Expression_Method__returns__Boolean_Attribute;'
    index: 24
    sourceClassId: '&IDC_EvaluateBooleanExpressionMethod;'
    type: 'returns'
    destinationClassId: '&IDC_BooleanAttribute;'
    siblingRelationshipId: '&IDR_Boolean_Attribute__returned_by__Evaluate_Boolean_Expression_Method;'
    singular: yes

  - relationship: '&IDR_Boolean_Attribute__returned_by__Evaluate_Boolean_Expression_Method;'
    index: 25
    sourceClassId: '&IDC_BooleanAttribute;'
    type: 'returned by'
    destinationClassId: '&IDC_EvaluateBooleanExpressionMethod;'
    siblingRelationshipId: '&IDR_Evaluate_Boolean_Expression_Method__returns__Boolean_Attribute;'
    singular: no

  - relationship: '&IDR_Evaluate_Boolean_Expression_Method__has_source__Executable_returning_Work_Data;'
    index: 221
    sourceClassId: '&IDC_EvaluateBooleanExpressionMethod;'
    type: 'has source'
    destinationClassId: '&IDC_ExecutableReturningWorkData;'
    siblingRelationshipId: '&IDR_Executable_returning_Work_Data__source_for__Evaluate_Boolean_Expression_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Work_Data__source_for__Evaluate_Boolean_Expression_Method;'
    index: 222
    sourceClassId: '&IDC_ExecutableReturningWorkData;'
    type: 'source for'
    destinationClassId: '&IDC_EvaluateBooleanExpressionMethod;'
    siblingRelationshipId: '&IDR_Evaluate_Boolean_Expression_Method__has_source__Executable_returning_Work_Data;'
    singular: no

  - relationship: '&IDR_Evaluate_Boolean_Expression_Method__uses__Boolean_Operator;'
    index: 223
    sourceClassId: '&IDC_EvaluateBooleanExpressionMethod;'
    type: 'uses'
    destinationClassId: '&IDC_BooleanOperator;'
    siblingRelationshipId: '&IDR_Boolean_Operator__used_by__Evaluate_Boolean_Expression_Method;'
    singular: yes

  - relationship: '&IDR_Boolean_Operator__used_by__Evaluate_Boolean_Expression_Method;'
    index: 224
    sourceClassId: '&IDC_BooleanOperator;'
    type: 'used by'
    destinationClassId: '&IDC_EvaluateBooleanExpressionMethod;'
    siblingRelationshipId: '&IDR_Evaluate_Boolean_Expression_Method__uses__Boolean_Operator;'
    singular: no

  - relationship: '&IDR_Evaluate_Boolean_Expression_Method__has_target__Executable_returning_Work_Data;'
    index: 225
    sourceClassId: '&IDC_EvaluateBooleanExpressionMethod;'
    type: 'has target'
    destinationClassId: '&IDC_ExecutableReturningWorkData;'
    siblingRelationshipId: '&IDR_Executable_returning_Work_Data__target_for__Evaluate_Boolean_Expression_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Work_Data__target_for__Evaluate_Boolean_Expression_Method;'
    index: 226
    sourceClassId: '&IDC_ExecutableReturningWorkData;'
    type: 'target for'
    destinationClassId: '&IDC_EvaluateBooleanExpressionMethod;'
    siblingRelationshipId: '&IDR_Evaluate_Boolean_Expression_Method__has_target__Executable_returning_Work_Data;'
    singular: no
